=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_absmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
      DEPENDS ${_absFile}
   )
   INSTALL(FILES ${_absmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_absmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( uk )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( is )
ADD_SUBDIRECTORY( nb )
ADD_SUBDIRECTORY( th )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( ru )
ADD_SUBDIRECTORY( hu )
ADD_SUBDIRECTORY( sv )
ADD_SUBDIRECTORY( nl )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( pt )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( sk )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( tr )
ADD_SUBDIRECTORY( ja )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )
ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( ca_ES )
ADD_SUBDIRECTORY( hr )
