=== src/CMakeLists.txt ===
FILE( GLOB_RECURSE Guayadeque_SOURCES "*.c*" )
FILE( GLOB_RECURSE Guayadeque_HEADERS "*.h" )


SET( Guayadeque_INCLUDE_DIRS "" )
FOREACH( _headerFile ${Guayadeque_HEADERS} )
    GET_FILENAME_COMPONENT( _dir ${_headerFile} PATH )
    LIST( APPEND Guayadeque_INCLUDE_DIRS ${_dir} )
ENDFOREACH()
LIST( REMOVE_DUPLICATES Guayadeque_INCLUDE_DIRS )

INCLUDE_DIRECTORIES( ${Guayadeque_INCLUDE_DIRS} )

ADD_EXECUTABLE( guayadeque ${Guayadeque_SOURCES} )

TARGET_LINK_LIBRARIES( guayadeque
        ${wxWidgets_LIBRARIES}
        ${GSTREAMER_LIBRARIES}
        ${GSTREAMER_TAG_LIBRARIES}
        ${SQLITE3_LIBRARIES}
        ${LIBCURL_LIBRARIES}
        ${LIBTAG_LIBRARIES}
        ${LIBDBUS_LIBRARIES}
        ${LIBGDKPIXBUF20_LIBRARIES}
        ${LIBGIO_LIBRARIES}
        ${LIBGPOD_LIBRARIES}
        ${LIBINDICATE_LIBRARIES}
        ${LIBINDICATE06_LIBRARIES}
        ${LIBINDICATE07_LIBRARIES}
        ${LIBWXSQLITE3_LIBRARIES}
        ${LIBWXSQLITE330_LIBRARIES}
)

INSTALL( TARGETS guayadeque
         RUNTIME DESTINATION bin )
