=== po/hr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( hr guayadeque.mo guayadeque.po )
