=== po/tr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( tr guayadeque.mo guayadeque.po )
