=== debian/changelog ===
guayadeque (0.4.5~mx15+1) mx; urgency=low

  * New upstream release
 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 07 May 2017 21:26:03 -0500
