## guayadeque 0.4.5

=== debian/changelog ===
guayadeque (0.4.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Change from native to upstream sourced package.
  * Enable hardening flag in rules.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Feb 2019 13:07:05 -0800
