=== debian/control ===
--- 
+++ 
@@ -1,8 +1,19 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-Build-Depends: cmake (>= 2.6), debhelper (>= 9~), gettext, libcurl4-openssl-dev (>= 7.18.2), libdbus-1-dev, libgpod-dev [!hurd-any], libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libindicate-dev, libsqlite3-dev, libtag1-dev, libwxgtk3.0-dev, libwxsqlite3-3.0-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Build-Depends: cmake (>= 2.6), 
+               debhelper (>= 9~),
+               gettext,
+               libcurl4-openssl-dev (>= 7.18.2),
+               libdbus-1-dev,
+               libgpod-dev [!hurd-any],
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libindicate-dev, libsqlite3-dev,
+               libtag1-dev, libwxgtk3.0-dev,
+               libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5
 Homepage: http://guayadeque.org
