=== po/CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,15 @@
 
 MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
    GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
-   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
+   GET_FILENAME_COMPONENT(_relmoFile ${_moFile} NAME)
    GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
    ADD_CUSTOM_COMMAND(
-      OUTPUT ${_absmoFile}
-      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
+      OUTPUT ${_relmoFile}
+      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} ${_absFile}
       DEPENDS ${_absFile}
    )
-   INSTALL(FILES ${_absmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
-   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_absmoFile} )
+   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES )
+   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_relmoFile} )
 ENDMACRO(GETTEXT_PROCESS_POFILE )
 
 # Current languages
