=== debian/changelog ===
guayadeque (0.4.6+git07122019-0mx19+1) mx; urgency=medium

  * New upstream release + fixes in git
  * Built for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 10 Jan 2020 16:13:02 -0500
