=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libgpod-dev [!hurd-any],
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libindicate-dev, libsqlite3-dev,
+               libsqlite3-dev,
                libtag1-dev, libwxgtk3.0-dev,
                libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5
