## guayadeque 0.4.6%2Bgit20210917

=== debian/changelog ===
guayadeque (0.4.6+git20210917-0mx21) mx; urgency=medium

  * Update git version

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 01 Dec 2021 10:32:28 -0500

guayadeque (0.4.6+git20210329-0mx21) mx; urgency=medium

  * Update git version to include patch for gcc-10

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 01 Dec 2021 09:12:20 -0500
