## guayadeque 0.4.6+git20210917

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ENDIF(POLICY CMP0005)
 
 IF(POLICY CMP0037)
-  cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
+   cmake_policy(SET CMP0037 OLD)   # cmake warns about sr@latin target
 ENDIF(POLICY CMP0037)
  
 project( Guayadeque )
@@ -30,15 +30,17 @@
         /usr/lib
         /usr/local/lib )
 
-SET( wxWidgets_USE_LIBS base core adv net html xml aui qa )
+# [sl 2020-05-23] according to https://cmake.org/cmake/help/v3.0/module/FindwxWidgets.html
+SET(wxWidgets_CONFIG_OPTIONS --toolkit=gtk3)
 
-FIND_PACKAGE( wxWidgets )
+FIND_PACKAGE( wxWidgets COMPONENTS base core adv net html xml aui qa )
 
 IF( NOT wxWidgets_FOUND)
     MESSAGE( FATAL_ERROR "wxWidgets not found!" )
 ENDIF( NOT wxWidgets_FOUND)
 
 PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-1.0 )
+PKG_CHECK_MODULES( GSTREAMER REQUIRED gstreamer-pbutils-1.0 )
 PKG_CHECK_MODULES( GSTREAMER_TAG REQUIRED gstreamer-tag-1.0 )
 PKG_CHECK_MODULES( SQLITE3 REQUIRED sqlite3 )
 PKG_CHECK_MODULES( LIBCURL REQUIRED libcurl )
@@ -102,6 +104,11 @@
         ENDIF( NOT LIBWXSQLITE330_FOUND )
 ENDIF( NOT LIBWXSQLITE3_FOUND )
 
+PKG_CHECK_MODULES( LIBJSONCPP jsoncpp )
+IF( NOT LIBJSONCPP_FOUND )
+  	MESSAGE( FALTAL_ERROR "libjsoncpp not found" )
+ENDIF( NOT LIBJSONCPP_FOUND )
+
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
 
@@ -142,6 +149,7 @@
         ${LIBINDICATE07_INCLUDE_DIRS}
         ${LIBWXSQLITE3_INCLUDE_DIRS}
         ${LIBWXSQLITE330_INCLUDE_DIRS}
+	${LIBJSONCPP_INCLUDE_DIRS}
 )
 
 IF( PROFILE )
