=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,28 +15,32 @@
 ENDMACRO(GETTEXT_PROCESS_POFILE )
 
 # Current languages
+
+ADD_SUBDIRECTORY( bg )
+ADD_SUBDIRECTORY( ca_ES )
+ADD_SUBDIRECTORY( cs )
+ADD_SUBDIRECTORY( da )
+ADD_SUBDIRECTORY( de )
+ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( es )
-ADD_SUBDIRECTORY( uk )
+ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( hu )
+ADD_SUBDIRECTORY( is )
 ADD_SUBDIRECTORY( it )
-ADD_SUBDIRECTORY( de )
-ADD_SUBDIRECTORY( fr )
-ADD_SUBDIRECTORY( is )
+ADD_SUBDIRECTORY( ja )
+ADD_SUBDIRECTORY( lt )
+ADD_SUBDIRECTORY( ms )
 ADD_SUBDIRECTORY( nb )
-ADD_SUBDIRECTORY( th )
-ADD_SUBDIRECTORY( cs )
+ADD_SUBDIRECTORY( nl )
+ADD_SUBDIRECTORY( pl )
+ADD_SUBDIRECTORY( pt )
+ADD_SUBDIRECTORY( pt_BR )
 ADD_SUBDIRECTORY( ru )
-ADD_SUBDIRECTORY( hu )
-ADD_SUBDIRECTORY( sv )
-ADD_SUBDIRECTORY( nl )
-ADD_SUBDIRECTORY( pt_BR )
-ADD_SUBDIRECTORY( pt )
-ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( sk )
-ADD_SUBDIRECTORY( pl )
-ADD_SUBDIRECTORY( tr )
-ADD_SUBDIRECTORY( ja )
 ADD_SUBDIRECTORY( sr )
 ADD_SUBDIRECTORY( sr@latin )
-ADD_SUBDIRECTORY( bg )
-ADD_SUBDIRECTORY( ca_ES )
-ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( sv )
+ADD_SUBDIRECTORY( th )
+ADD_SUBDIRECTORY( tr )
+ADD_SUBDIRECTORY( uk )
