=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
         ${LIBINDICATE07_LIBRARIES}
         ${LIBWXSQLITE3_LIBRARIES}
         ${LIBWXSQLITE330_LIBRARIES}
+        ${LIBJSONCPP_LIBRARIES}
 )
 
 INSTALL( TARGETS guayadeque
