=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 Build-Depends: cmake (>= 2.6), 
-               debhelper (>= 9~),
+               debhelper (>= 10~),
                gettext,
                libcurl4-openssl-dev (>= 7.18.2),
                libdbus-1-dev,
                libgpod-dev [!hurd-any],
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
+               libjsoncpp-dev,
                libsqlite3-dev,
-               libtag1-dev, libwxgtk3.0-dev,
+               libtag1-dev, libwxgtk3.0-gtk3-dev,
                libwxsqlite3-3.0-dev
 Standards-Version: 3.9.5
 Homepage: http://guayadeque.org
